#!/usr/bin/perl

#┌─────────────────────────────────
#│ Smart Board Type-G v2.6 : changeinit.cgi v1.0 - 2023/09/14
#│ copyright (c) TRANSFORM, Since 2012
#│ https://www.transformsite.com/
#└─────────────────────────────────

# モジュール宣言
use strict;
use CGI::Carp qw(fatalsToBrowser);
use lib "./lib";
use CGI::Minimal;
my %cfd;

# 設定ファイル認識
require "./init.cgi";
my %cf = set_init();

# データ受理
CGI::Minimal::max_read_size($cf{maxdata});
my $cgi = CGI::Minimal->new;
error('容量オーバー') if ($cgi->truncated);
my %in = parse_form($cgi);

#===========================================================
# ■ ダイアリーモード ON,OFF設定
#===========================================================

	open(DAT," $cf{changecnt}") or error("open err: $cf{changecnt}");
	my $data = <DAT>;
	close(DAT);
		my ($cnt,undef) = (split(/<>/,$data))[0];

# ダイアリーモード使用
# 0=no 1=yes
$cfd{diary_mode} = $cnt;


# 設定内容を返す
sub change_init { return %cfd; }

1;

